Get Payment Analytics

Path Params
string
required

The organization ID

Query Params
string

The period to calculate analytics for relative to the current time. Options: 1h, 24h, 7d, 30d, 3mo, 6mo, 1y. Example: ?forLast=7d

string
required

The interval size to calculate analytics for. Defaults to 'day'. Options: hour, day, week, month, year. Example: ?interval=day

string

The start time of the period to calculate analytics for (cannot be used in combination with forLast param). Example: ?periodStart=2025-05-29

string

The end time of the period to calculate analytics for (cannot be used in combination with forLast param). Example: ?periodEnd=2025-05-30

string

The timezone to use for interval calculations. Defaults to 'UTC'. Supports timezone identifiers (e.g., America/Phoenix, America/Los_Angeles) and abbreviations (e.g., MST, MDT, PST, PDT). Examples: ?timezone=America/Phoenix or ?timezone=MST

string
required

Filter the payment analytics by attribute(s).

Exact match:

Include the attribute name in the brackets followed by an equal sign and the value you want to filter by. You can use commas (,) to separate multiple values for the same attribute.

  • Allowed attributes: status, source

  • Example: ?filter[status]=CAPTURED,AUTHORIZED

  • Example: ?filter[source]=CARD_PRESENT (to filter card present payments only)

  • Example: ?filter[source]=INTERNET (to filter internet payments only)

Scopes:

Filter by specific conditions defined in the model.

NOTE: either merchantId or channelPartnerId must be provided in the query filters.

  • Allowed scopes: merchantId, channelPartnerId, successful, failed, refunded, inProgress

  • Example: ?filter[merchantId]=123456

  • Example: ?filter[merchantId]=123456,789012 (multiple merchant IDs)

  • Example: ?filter[channelPartnerId]=123456

  • Example: ?filter[successful]=true (to filter successful payments)

  • Example: ?filter[refunded]=false (to exclude refunded payments)

Headers
string
Response

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json